Whatever we call it, no matter how we do it - we need live data / remote view into rusEFI actual state #3353

java version of the enum
This commit is contained in:
rusefi 2021-10-16 18:15:10 -04:00
parent 0635060e4f
commit 52cb9e8c46
3 changed files with 90 additions and 39 deletions

View File

@ -16,69 +16,69 @@
************************************** **************************************
*/ */
typedef enum __attribute__ ((__packed__)) { typedef enum __attribute__ ((__packed__)) {
Invalid = 0, Invalid,
Clt = 1, Clt,
Iat = 2, Iat,
Rpm = 3, Rpm,
Map = 4, Map,
Maf = 5, Maf,
OilPressure = 6, OilPressure,
FuelPressureLow = 7, // in kPa FuelPressureLow, // in kPa
FuelPressureHigh = 8, // in kPa FuelPressureHigh, // in kPa
FuelPressureInjector = 9, FuelPressureInjector,
// This is the "resolved" position, potentially composited out of the following two // This is the "resolved" position, potentially composited out of the following two
Tps1 = 10, Tps1,
// This is the first sensor // This is the first sensor
Tps1Primary = 11, Tps1Primary,
// This is the second sensor // This is the second sensor
Tps1Secondary = 12, Tps1Secondary,
Tps2 = 13, Tps2,
Tps2Primary = 14, Tps2Primary,
Tps2Secondary = 15, Tps2Secondary,
// Redundant and combined sensors for acc pedal // Redundant and combined sensors for acc pedal
AcceleratorPedal = 16, AcceleratorPedal,
AcceleratorPedalPrimary = 17, AcceleratorPedalPrimary,
AcceleratorPedalSecondary = 18, AcceleratorPedalSecondary,
// This maps to the pedal if we have one, and Tps1 if not. // This maps to the pedal if we have one, and Tps1 if not.
DriverThrottleIntent = 19, DriverThrottleIntent,
AuxTemp1 = 20, AuxTemp1,
AuxTemp2 = 21, AuxTemp2,
Lambda1 = 22, Lambda1,
Lambda2 = 23, Lambda2,
WastegatePosition = 24, WastegatePosition,
IdlePosition = 25, IdlePosition,
FuelEthanolPercent = 26, FuelEthanolPercent,
BatteryVoltage = 27, BatteryVoltage,
BarometricPressure = 28, BarometricPressure,
FuelLevel = 29, FuelLevel,
Aux1 = 30, Aux1,
Aux2 = 31, Aux2,
Aux3 = 32, Aux3,
Aux4 = 33, Aux4,
VehicleSpeed = 34, VehicleSpeed,
TurbochargerSpeed = 35, TurbochargerSpeed,
// Fast MAP is synchronous to crank angle - user selectable phase/window // Fast MAP is synchronous to crank angle - user selectable phase/window
MapFast = 36, MapFast,
// Slow MAP is asynchronous - not synced to anything, normal analog sampling // Slow MAP is asynchronous - not synced to anything, normal analog sampling
MapSlow = 37, MapSlow,
// Leave me at the end! // Leave me at the end!
PlaceholderLast = 38, PlaceholderLast,
} SensorType; } SensorType;

View File

@ -5,6 +5,11 @@ echo "This batch files reads rusefi_enums.h and produces auto_generated_enums.*
rm gen_enum_to_string.log rm gen_enum_to_string.log
java -DSystemOut.name=gen_java_enum -cp ../java_tools/enum2string.jar com.rusefi.ToJavaEnum -enumInputFile controllers/algo/live_data_ids.h -outputPath ../java_console/io/src/main/java/com/rusefi/enums java -DSystemOut.name=gen_java_enum -cp ../java_tools/enum2string.jar com.rusefi.ToJavaEnum -enumInputFile controllers/algo/live_data_ids.h -outputPath ../java_console/io/src/main/java/com/rusefi/enums
[ $? -eq 0 ] || { echo "ERROR generating live data ids"; exit 1; }
java -DSystemOut.name=gen_java_enum -cp ../java_tools/enum2string.jar com.rusefi.ToJavaEnum -enumInputFile controllers/sensors/sensor_type.h -outputPath ../java_console/io/src/main/java/com/rusefi/enums
[ $? -eq 0 ] || { echo "ERROR generating sensors"; exit 1; }
java -DSystemOut.name=gen_enum_to_string \ java -DSystemOut.name=gen_enum_to_string \
-jar ../java_tools/enum2string.jar \ -jar ../java_tools/enum2string.jar \

View File

@ -0,0 +1,46 @@
package com.rusefi.enums;
//auto-generated by ToJavaEnum.java
public enum SensorType {
Invalid,
Clt,
Iat,
Rpm,
Map,
Maf,
OilPressure,
FuelPressureLow,
FuelPressureHigh,
FuelPressureInjector,
Tps1,
Tps1Primary,
Tps1Secondary,
Tps2,
Tps2Primary,
Tps2Secondary,
AcceleratorPedal,
AcceleratorPedalPrimary,
AcceleratorPedalSecondary,
DriverThrottleIntent,
AuxTemp1,
AuxTemp2,
Lambda1,
Lambda2,
WastegatePosition,
IdlePosition,
FuelEthanolPercent,
BatteryVoltage,
BarometricPressure,
FuelLevel,
Aux1,
Aux2,
Aux3,
Aux4,
VehicleSpeed,
TurbochargerSpeed,
MapFast,
MapSlow,
PlaceholderLast,
}